Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2259298 - Review Request: python-snakemake-executor-plugin-tes - A Snakemake executor plugin for submitting jobs via GA4GH TES
Summary: Review Request: python-snakemake-executor-plugin-tes - A Snakemake executor p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Steve Cossette
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/snakemake/snakemak...
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2024-01-20 00:33 UTC by Ben Beasley
Modified: 2024-01-24 01:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-24 01:48:12 UTC
Type: Bug
Embargoed:
farchord: fedora-review+


Attachments (Terms of Use)

Description Ben Beasley 2024-01-20 00:33:35 UTC
Spec URL: https://music.fedorapeople.org/python-snakemake-executor-plugin-tes.spec
SRPM URL: https://music.fedorapeople.org/python-snakemake-executor-plugin-tes-0.1.2-1.fc39.src.rpm

Description:

A Snakemake executor plugin for submitting jobs via GA4GH TES.

Fedora Account System Username: music

Koji scratch build (explicitly for all architectures):

F40: https://koji.fedoraproject.org/koji/taskinfo?taskID=112015077

Comment 1 Fedora Review Service 2024-01-20 00:41:22 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6923613
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2259298-python-snakemake-executor-plugin-tes/fedora-rawhide-x86_64/06923613-python-snakemake-executor-plugin-tes/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Steve Cossette 2024-01-22 21:04:15 UTC
* Package abides by Fedora's packaging guidelines
* License is free and approved in Fedora (And added accurately)
* Package builds, and installs successfully on rawhide
* No serious linting issues

PACKAGE APPROVED

Comment 3 Ben Beasley 2024-01-22 21:08:11 UTC
Thank you for the review! Please let me know if there is anything I can review for you.

Comment 4 Ben Beasley 2024-01-22 21:10:04 UTC
Repo requested: https://pagure.io/releng/fedora-scm-requests/issue/59946

Added to release monitoring: https://release-monitoring.org/project/371042/

Comment 5 Ben Beasley 2024-01-22 21:12:32 UTC
> The Bugzilla review bug creator could not be found in FAS. Make sure your FAS email address is the same as in Bugzilla.

This is due to a FAS outage, https://status.fedoraproject.org/. I’ll try again later.

Comment 6 Fedora Admin user for bugzilla script actions 2024-01-24 01:31:37 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/python-snakemake-executor-plugin-tes

Comment 7 Fedora Update System 2024-01-24 01:45:46 UTC
FEDORA-2024-d7e1c5e24e has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-d7e1c5e24e

Comment 8 Fedora Update System 2024-01-24 01:48:12 UTC
FEDORA-2024-d7e1c5e24e has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.